GNU bug report logs - #36794
[PATCH 05/11] gnu: Add r-flowutils.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36795, #36796, #36797, #36798, #36799, #36800; dated Wed, 24 Jul 2019 18:23:05 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:32 2019
Received: from localhost ([127.0.0.1]:37989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuK-0005MC-Fa
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:54749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuE-0005L9-C3
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41084)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuD-0003I5-8B
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuC-0007Ex-AZ
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:25 -0400
Received: from mail-wr1-x42d.google.com ([2a00:1450:4864:20::42d]:33639)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuC-0007Do-3W
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:24 -0400
Received: by mail-wr1-x42d.google.com with SMTP id n9so48094453wru.0
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=OSpLDtjNGjfHmKRoGp1RTvE1NGPzUJ5XElI50Q6CEgw=;
 b=iegAibzrIREiO2fEUC8nsqr/ZpvTb4LNilB7sQXLjOV7c3LtbKvApSV20IiU0xQRk8
 6Rltj5m7r1iwW2nLAO5227OcYLiOJtZ7kDY3to/1tQKMRJz9Grgo0gKz4mwRpG+jiJ2m
 tIokIp4HTZ+yZ1FJBzPe/hv9cywbLj0qoMSfecGfvxeJe4FWnYJMC/Rv6bj+1+JsMh0c
 exB64vzd7SbYzpEmx5NLgUHQO/qjCh0EpEFER9nNdNQNLtwwiNa0Pj5fJ52Ib3u+WbRz
 4X2cYHvpD1qXQ2BMONNs1UOlcwEbaoIB6vLGJctLuflZ/DAnnCbAuodp6dkrONzqCGac
 rG5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=OSpLDtjNGjfHmKRoGp1RTvE1NGPzUJ5XElI50Q6CEgw=;
 b=GgzU5p31ukxyJ40bTvhG7s4H5YDWTgOIDhoPTAlp6K2MMoxTrrmK2bD17Ru+D/yuTU
 MhpfVDjppGpNiztwKKHRgtbLDMi/PqI8hw5MgRPwhebLXC/Yg3LtK2lY1DNr90aBQeCv
 dbZpKuZYNMBTHZFEWhKyOanNBjuEyG9Aqj1zmUyaaS8Iea0k8nb4whSgcYuD7b69yZCj
 j2HObMAZ5PM9fbB4Fkgn6ZIpT2qhA8U6v9i7Kam60CzU189Pq7zSmUH97Tqp9xemujkb
 OLwX5NzO0/XT9CAUiYEGCbkwCrG4i0sIgznTOfhfOz0DPgQNFP7de/eWtZaVKbFMuxmq
 U0Tg==
X-Gm-Message-State: APjAAAWiwiHI4fCHNVMeuXV3FUO8PeYZnYp0GJL2aCTwAQcggqrCha0h
 vMNYFunmlg4w5nQkdqo/nNXnq8+M
X-Google-Smtp-Source: APXvYqzDEnKHSSGDJ2R+27497B6eZ63kVT1UTmRh53JrwGtXP6YT1Y0UQw6blGZ/M63N0NOOA7KPpg==
X-Received: by 2002:adf:de10:: with SMTP id b16mr55952468wrm.296.1563992542948; 
 Wed, 24 Jul 2019 11:22:22 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.22
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:22 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 05/11] gnu: Add r-flowutils.
Date: Wed, 24 Jul 2019 20:21:58 +0200
Message-Id: <20190724182204.6818-6-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42d
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-flowutils): New variable.
---
 gnu/packages/bioconductor.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index 3a38042537..d79ff729fc 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -4800,6 +4800,33 @@ gene fusion discovery.  It can be applied to all major sequencing techologies
 and to both short and long sequence reads.")
     (license license:gpl3)))
 
+(define-public r-flowutils
+  (package
+    (name "r-flowutils")
+    (version "1.48.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "flowUtils" version))
+        (sha256
+          (base32
+            "1r7b0rszdzjq7jphh65p5m4x5ps0zbbagxl26gn2mapbjdyb47rm"))))
+    (properties `((upstream-name . "flowUtils")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-biobase" ,r-biobase)
+        ("r-corpcor" ,r-corpcor)
+        ("r-flowcore" ,r-flowcore)
+        ("r-graph" ,r-graph)
+        ("r-runit" ,r-runit)
+        ("r-xml" ,r-xml)))
+    (home-page
+      "https://github.com/jspidlen/flowUtils")
+    (synopsis "Utilities for flow cytometry")
+    (description
+      "Provides utilities for flow cytometry data.")
+    (license license:artistic2.0)))
+
 (define-public r-flowcore
   (package
     (name "r-flowcore")
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36794; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.